# HG changeset patch
# Node ID 7bc2ee88d37736bb34e01d7059092becc1429dc3
# Parent  11321c21c904da852219e6d913f31dccadbd3cef
diff --git a/libpurple/connection.c b/libpurple/connection.c
--- a/libpurple/connection.c
+++ b/libpurple/connection.c
@@ -53,8 +53,6 @@
 	PurpleAccount *account;       /* The account being connected to.   */
 	char *password;               /* The password used.                */
 
-	char *display_name;           /* How you appear to other people.   */
-
 	/* Wants to Die state.  This is set when the user chooses to log out, or
 	 * when the protocol is disconnected and should not be automatically
 	 * reconnected (incorrect password, etc.).  Protocols should rely on
@@ -78,7 +76,6 @@
 	PROP_STATE,
 	PROP_ACCOUNT,
 	PROP_PASSWORD,
-	PROP_DISPLAY_NAME,
 	N_PROPERTIES,
 };
 
@@ -156,22 +153,6 @@
 	g_object_notify_by_pspec(G_OBJECT(connection), properties[PROP_STATE]);
 }
 
-void
-purple_connection_set_display_name(PurpleConnection *connection,
-                                   const gchar *name)
-{
-	PurpleConnectionPrivate *priv = NULL;
-
-	g_return_if_fail(PURPLE_IS_CONNECTION(connection));
-
-	priv = purple_connection_get_instance_private(connection);
-
-	if(g_set_str(&priv->display_name, name)) {
-		g_object_notify_by_pspec(G_OBJECT(connection),
-		                         properties[PROP_DISPLAY_NAME]);
-	}
-}
-
 PurpleConnectionState
 purple_connection_get_state(PurpleConnection *connection) {
 	PurpleConnectionPrivate *priv = NULL;
@@ -244,17 +225,6 @@
 	g_object_notify_by_pspec(G_OBJECT(connection), properties[PROP_PASSWORD]);
 }
 
-const char *
-purple_connection_get_display_name(PurpleConnection *connection) {
-	PurpleConnectionPrivate *priv = NULL;
-
-	g_return_val_if_fail(PURPLE_IS_CONNECTION(connection), NULL);
-
-	priv = purple_connection_get_instance_private(connection);
-
-	return priv->display_name;
-}
-
 gboolean
 _purple_connection_wants_to_die(PurpleConnection *connection) {
 	PurpleConnectionPrivate *priv = NULL;
@@ -501,10 +471,6 @@
 			purple_connection_set_password(connection,
 			                               g_value_get_string(value));
 			break;
-		case PROP_DISPLAY_NAME:
-			purple_connection_set_display_name(connection,
-			                                   g_value_get_string(value));
-			break;
 		default:
 			G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
 			break;
@@ -540,10 +506,6 @@
 			g_value_set_string(value,
 			                   purple_connection_get_password(connection));
 			break;
-		case PROP_DISPLAY_NAME:
-			g_value_set_string(value,
-			                   purple_connection_get_display_name(connection));
-			break;
 		default:
 			G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
 			break;
@@ -607,7 +569,6 @@
 	g_clear_pointer(&priv->error_info, purple_connection_error_info_free);
 
 	purple_str_wipe(priv->password);
-	g_free(priv->display_name);
 	g_free(priv->id);
 
 	g_clear_object(&priv->cancellable);
@@ -706,18 +667,6 @@
 		"The password used for connection.", NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
-	/**
-	 * PurpleConnection:display-name:
-	 *
-	 * The display name for the account.
-	 *
-	 * Since: 3.0
-	 */
-	properties[PROP_DISPLAY_NAME] = g_param_spec_string(
-		"display-name", "Display name",
-		"Your name that appears to other people.", NULL,
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
-
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
 }
 
diff --git a/libpurple/connection.h b/libpurple/connection.h
--- a/libpurple/connection.h
+++ b/libpurple/connection.h
@@ -149,18 +149,6 @@
 void purple_connection_set_state(PurpleConnection *gc, PurpleConnectionState state);
 
 /**
- * purple_connection_set_display_name:
- * @gc:   The connection.
- * @name: The displayed name.
- *
- * Sets the connection's displayed name.
- *
- * Since: 2.0
- */
-PURPLE_AVAILABLE_IN_ALL
-void purple_connection_set_display_name(PurpleConnection *gc, const char *name);
-
-/**
  * purple_connection_get_state:
  * @gc: The connection.
  *
@@ -269,19 +257,6 @@
 GCancellable *purple_connection_get_cancellable(PurpleConnection *connection);
 
 /**
- * purple_connection_get_display_name:
- * @gc: The connection.
- *
- * Returns the connection's displayed name.
- *
- * Returns: The connection's displayed name.
- *
- * Since: 2.0
- */
-PURPLE_AVAILABLE_IN_ALL
-const char *purple_connection_get_display_name(PurpleConnection *gc);
-
-/**
  * purple_connection_error:
  * @gc:          the connection which is closing.
  * @reason:      why the connection is closing.
